Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 897)
+++ plugins/tags/_admin.php	(revision 782)
@@ -31,7 +31,6 @@
 
 $core->addBehavior('adminPreferencesForm',array('tagsBehaviors','adminUserForm'));
-$core->addBehavior('adminBeforeUserOptionsUpdate',array('tagsBehaviors','setTagListFormat'));
-
-$core->addBehavior('adminUserForm',array('tagsBehaviors','adminUserForm'));
+// $core->addBehavior('adminUserForm',array('tagsBehaviors','adminUserForm'));
+
 $core->addBehavior('adminBeforeUserCreate',array('tagsBehaviors','setTagListFormat'));
 $core->addBehavior('adminBeforeUserUpdate',array('tagsBehaviors','setTagListFormat'));
@@ -132,29 +131,27 @@
 	public static function postsActionsHeaders()
 	{
-		if (($_POST['action'] == 'tags') || ($_POST['action'] == 'tags_remove')) {
-			$tag_url = $GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag');
-
-			$opts = $GLOBALS['core']->auth->getOptions();
-			$type = isset($opts['tag_list_format']) ? $opts['tag_list_format'] : 'more';
-
-			return 
-			'<script type="text/javascript" src="index.php?pf=tags/js/jquery.autocomplete.js"></script>'.
-			'<script type="text/javascript" src="index.php?pf=tags/js/posts_actions.js"></script>'.
-			'<script type="text/javascript">'."\n".
-			"//<![CDATA[\n".
-			"metaEditor.prototype.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';\n".
-			"metaEditor.prototype.meta_type = '".html::escapeJS($type)."';\n".
-			"metaEditor.prototype.text_confirm_remove = '".html::escapeJS(__('Are you sure you want to remove this %s?'))."';\n".
-			"metaEditor.prototype.text_add_meta = '".html::escapeJS(__('Add a %s to this entry'))."';\n".
-			"metaEditor.prototype.text_choose = '".html::escapeJS(__('Choose from list'))."';\n".
-			"metaEditor.prototype.text_all = '".html::escapeJS(__('all'))."';\n".
-			"metaEditor.prototype.text_separation = '".html::escapeJS(__('Enter tags separated by coma'))."';\n".
-			"dotclear.msg.tags_autocomplete = '".html::escapeJS(__('used in %e - frequency %p%'))."';\n".
-			"dotclear.msg.entry = '".html::escapeJS(__('entry'))."';\n".
-			"dotclear.msg.entries = '".html::escapeJS(__('entries'))."';\n".
-			"\n//]]>\n".
-			"</script>\n".
-			'<link rel="stylesheet" type="text/css" href="index.php?pf=tags/style.css" />';
-		}
+		$tag_url = $GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag');
+		
+		$opts = $GLOBALS['core']->auth->getOptions();
+		$type = isset($opts['tag_list_format']) ? $opts['tag_list_format'] : 'more';
+		
+		return 
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		"metaEditor.prototype.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';\n".
+		"metaEditor.prototype.meta_type = '".html::escapeJS($type)."';\n".
+		"metaEditor.prototype.text_confirm_remove = '".html::escapeJS(__('Are you sure you want to remove this %s?'))."';\n".
+		"metaEditor.prototype.text_add_meta = '".html::escapeJS(__('Add a %s to this entry'))."';\n".
+		"metaEditor.prototype.text_choose = '".html::escapeJS(__('Choose from list'))."';\n".
+		"metaEditor.prototype.text_all = '".html::escapeJS(__('all'))."';\n".
+		"metaEditor.prototype.text_separation = '".html::escapeJS(__('Enter tags separated by coma'))."';\n".
+		"dotclear.msg.tags_autocomplete = '".html::escapeJS(__('used in %e - frequency %p%'))."';\n".
+		"dotclear.msg.entry = '".html::escapeJS(__('entry'))."';\n".
+		"dotclear.msg.entries = '".html::escapeJS(__('entries'))."';\n".
+		"\n//]]>\n".
+		"</script>\n".
+		'<script type="text/javascript" src="index.php?pf=tags/js/posts_actions.js"></script>'.
+		dcPage::jqueryUI().
+		'<link rel="stylesheet" type="text/css" href="index.php?pf=tags/style.css" />';
 	}
 	
@@ -175,5 +172,4 @@
 			try
 			{
-
 				$meta =& $GLOBALS['core']->meta;
 				$tags = $meta->splitMetaValues($_POST['new_tags']);
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 965)
+++ plugins/tags/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Tags for posts",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2',
+	/* Version */			'1.1',
 	array(
 		'permissions' =>	'usage,contentadmin'
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 945)
+++ plugins/tags/_public.php	(revision 783)
@@ -23,7 +23,5 @@
 $core->tpl->addBlock('TagsFooter',array('tplTags','TagsFooter'));
 $core->tpl->addBlock('EntryTags',array('tplTags','EntryTags'));
-$core->tpl->addBlock('TagIf',array('tplTags','TagIf'));
 $core->tpl->addValue('TagID',array('tplTags','TagID'));
-$core->tpl->addValue('TagCount',array('tplTags','TagCount'));
 $core->tpl->addValue('TagPercent',array('tplTags','TagPercent'));
 $core->tpl->addValue('TagRoundPercent',array('tplTags','TagRoundPercent'));
@@ -46,4 +44,5 @@
 
 $core->addBehavior('templateBeforeBlock',array('behaviorsTags','templateBeforeBlock'));
+$core->addBehavior('tplSysIfConditions',array('behaviorsTags','tplSysIfConditions'));
 $core->addBehavior('publicBeforeDocument',array('behaviorsTags','addTplPath'));
 
@@ -56,6 +55,8 @@
 			return
 			"<?php\n".
-			"@\$params['from'] .= ', '.\$core->prefix.'meta META ';\n".
-			"@\$params['sql'] .= 'AND META.post_id = P.post_id ';\n".
+			"if (!isset(\$params['from'])) \$params['from']='';"."\n".
+			"if (!isset(\$params['sql'])) \$params['sql']='';"."\n".
+			"\$params['from'] .= ', '.\$core->prefix.'meta META ';\n".
+			"\$params['sql'] .= 'AND META.post_id = P.post_id ';\n".
 			"\$params['sql'] .= \"AND META.meta_type = 'tag' \";\n".
 			"\$params['sql'] .= \"AND META.meta_id = '".$core->con->escape($attr['tag'])."' \";\n".
@@ -65,10 +66,24 @@
 		{
 			return
-			'<?php if ($_ctx->exists("meta") && ($_ctx->meta->meta_type == "tag")) { '.
-				"@\$params['from'] .= ', '.\$core->prefix.'meta META ';\n".
-				"@\$params['sql'] .= 'AND META.post_id = P.post_id ';\n".
+			'<?php if ($_ctx->exists("meta")) { '.
+				"if (!isset(\$params['from'])) \$params['from']='';"."\n".
+				"if (!isset(\$params['sql'])) \$params['sql']='';"."\n".
+				"\$params['from'] .= ', '.\$core->prefix.'meta META ';\n".
+				"\$params['sql'] .= 'AND META.post_id = P.post_id ';\n".
 				"\$params['sql'] .= \"AND META.meta_type = 'tag' \";\n".
 				"\$params['sql'] .= \"AND META.meta_id = '\".\$core->con->escape(\$_ctx->meta->meta_id).\"' \";\n".
 			"} ?>\n";
+		}
+	}
+	
+	public static function tplIfConditions($tag, $attr,$content,$if)
+	{
+		if ($tag == 'Sys' && isset($attr['has_tag'])) {
+			$sign = '';
+			if (substr($attr['has_tag'],0,1) == '!') {
+				$sign = '!';
+				$attr['has_tag'] = substr($attr['has_tag'],1);
+			}
+			$if[] =  $sign."(\$core->tpl->tagExists('".addslashes($attr['has_tag'])."') )";
 		}
 	}
@@ -155,22 +170,5 @@
 		return $res;
 	}
-
-	public static function TagIf($attr,$content) 
-	{ 
-		$if = array();
-		$operateur = isset($attr['operator']) ? dcTemplate::getOperator($attr['operator']) : '&&';
-
-		if (isset($attr['has_entries'])) {
-			$sign = (boolean) $attr['has_entries'] ? '' : '!';
-			$if[] = $sign.'$_ctx->meta->count';
-		}
-
-		if (!empty($if)) {
-			return '<?php if('.implode(' '.$operateur.' ',$if).') : ?>'.$content.'<?php endif; ?>';
-		} else {
-			return $content;
-		}
-	}
-
+	
 	public static function TagID($attr)
 	{
@@ -179,9 +177,4 @@
 	}
 	
-	public static function TagCount($attr)
-	{
-		return '<?php echo $_ctx->meta->count; ?>';
-	}
-
 	public static function TagPercent($attr)
 	{
@@ -225,9 +218,4 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
-
 		$params = array('meta_type' => 'tag');
 		
@@ -256,5 +244,5 @@
 		
 		$res =
-		'<div class="tags'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="tags">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
@@ -264,5 +252,5 @@
 			$res .=
 			'<li><a href="'.$core->blog->url.$core->url->getURLFor('tag',rawurlencode($rs->meta_id)).'" '.
-			'class="tag'.$rs->roundpercent.'">'.
+			'class="tag'.$rs->roundpercent.'" rel="tag">'.
 			$rs->meta_id.'</a> </li>';
 		}
Index: plugins/tags/_widgets.php
===================================================================
--- plugins/tags/_widgets.php	(revision 954)
+++ plugins/tags/_widgets.php	(revision 270)
@@ -19,5 +19,5 @@
 	public static function initWidgets($w)
 	{
-		$w->create('tags',__('Tags'),array('tplTags','tagsWidget'),null,'Tags cloud');
+		$w->create('tags',__('Tags'),array('tplTags','tagsWidget'));
 		$w->tags->setting('title',__('Title:'),__('Tags'));
 		$w->tags->setting('limit',__('Limit (empty means no limit):'),'20');
@@ -29,12 +29,4 @@
 		);
 		$w->tags->setting('alltagslinktitle',__('Link to all tags:'),__('All tags'));
-		$w->tags->setting('homeonly',__('Display on:'),0,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
-		$w->tags->setting('class',__('CSS class:'),'');
 	}
 	
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 0)
+++ plugins/tags/js/post.js	(revision 756)
@@ -1,3 +1,9 @@
 $(function() {
+	function split( val ) {
+		return val.split( /,\s*/ );
+	}
+	function extractLast(term) {
+		return split(term).pop();
+	}
 	$('#edit-entry').onetabload(function() {
 		var tags_edit = $('#tags-edit');
@@ -18,42 +24,69 @@
 		}
 		
-		$('#post_meta_input').autocomplete(mEdit.service_uri, {
-			extraParams: {
-				'f': 'searchMeta',
-				'metaType': 'tag'
-			},
-			delay: 1000,
-			multiple: true,
-			matchSubset: false,
-			matchContains: true,
-			parse: function(xml) { 
-				var results = [];
-				$(xml).find('meta').each(function(){
-					results[results.length] = {
-						data: {
-							"id": $(this).text(),
-							"count": $(this).attr("count"),
-							"percent":  $(this).attr("roundpercent")
-						},
-						result: $(this).text()
-					}; 
-				});
-				return results;
-			},
-			formatItem: function(tag) {
-				return tag.id + ' <em>(' +
-				dotclear.msg.tags_autocomplete.
-					replace('%p',tag.percent).
-					replace('%e',tag.count + ' ' +
-						(tag.count > 1 ?
-						dotclear.msg.entries :
-						dotclear.msg.entry)
-					) +
-				')</em>';
-			},
-			formatResult: function(tag) { 
-				return tag.result; 
+		$('#post_meta_input')
+			.bind( "keydown", function( event ) {
+		if ( event.keyCode === $.ui.keyCode.TAB &&
+				$( this ).data( "autocomplete" ).menu.active ) {
+			event.preventDefault();
+		}
+	})
+	.autocomplete({
+		minLength: 2,
+		delay: 1000,
+		source: function(request,response) {
+			$.ajax({
+				url: mEdit.service_uri,
+				data: {
+					'f': 'searchMeta',
+					'metaType': 'tag',
+					'q': extractLast(request.term)
+				},
+				success:function(data) {
+					results = [];
+					$(data).find('meta').each(function(){
+						var id = $(this).text();
+						var roundpercent = $(this).attr("roundpercent");
+						var count = $(this).attr("count");
+						console.log(id);
+						console.log(roundpercent);
+						console.log(count);
+						var label = id + ' (' +
+							dotclear.msg.tags_autocomplete.
+								replace('%p',roundpercent).
+								replace('%e',count + ' ' +
+								((count > 1) ?
+									dotclear.msg.entries :
+									dotclear.msg.entry
+								)) + ')';
+							console.log(label);
+						results.push({label:label,value:id});
+					});
+					response(results);
+				}
+			});
+		},
+		search: function() {
+			var term = extractLast( this.value );
+			if ( term.length < 2 ) {
+				return false;
 			}
-		});
+		},
+		focus: function() {
+			// prevent value inserted on focus
+			return false;
+		},
+		select: function( event, ui ) {
+			var terms = split( this.value );
+			// remove the current input
+			terms.pop();
+			// add the selected item
+			terms.push( ui.item.value );
+			// add placeholder to get the comma-and-space at the end
+			terms.push( "" );
+			this.value = terms.join( ", " );
+			return false;
+		}		
+	});
+
 	});
 });
Index: plugins/tags/js/posts_actions.js
===================================================================
--- plugins/tags/js/posts_actions.js	(revision 0)
+++ plugins/tags/js/posts_actions.js	(revision 756)
@@ -1,3 +1,9 @@
 $(function() {
+	function split( val ) {
+		return val.split( /,\s*/ );
+	}
+	function extractLast(term) {
+		return split(term).pop();
+	}
 	var tag_field = $('#new_tags');
 	
@@ -19,41 +25,67 @@
 	});
 	
-	$('#post_meta_input').autocomplete(mEdit.service_uri, {
-		extraParams: {
-			'f': 'searchMeta',
-			'metaType': 'tag'
+	$('#post_meta_input')
+	.bind( "keydown", function( event ) {
+		if ( event.keyCode === $.ui.keyCode.TAB &&
+				$( this ).data( "autocomplete" ).menu.active ) {
+			event.preventDefault();
+		}
+	})
+	.autocomplete({
+		minLength: 2,
+		delay: 1000,
+		source: function(request,response) {
+			$.ajax({
+				url: mEdit.service_uri,
+				data: {
+					'f': 'searchMeta',
+					'metaType': 'tag',
+					'q': extractLast(request.term)
+				},
+				success:function(data) {
+					results = [];
+					$(data).find('meta').each(function(){
+						var id = $(this).text();
+						var roundpercent = $(this).attr("roundpercent");
+						var count = $(this).attr("count");
+						console.log(id);
+						console.log(roundpercent);
+						console.log(count);
+						var label = id + ' (' +
+							dotclear.msg.tags_autocomplete.
+								replace('%p',roundpercent).
+								replace('%e',count + ' ' +
+								((count > 1) ?
+									dotclear.msg.entries :
+									dotclear.msg.entry
+								)) + ')';
+							console.log(label);
+						results.push({label:label,value:id});
+					});
+					response(results);
+				}
+			});
 		},
-		delay: 1000,
-		multiple: true,
-		matchSubset: false,
-		matchContains: true,
-		parse: function(xml) { 
-			var results = [];
-			$(xml).find('meta').each(function(){
-				results[results.length] = {
-					data: {
-						"id": $(this).text(),
-						"count": $(this).attr("count"),
-						"percent":  $(this).attr("roundpercent")
-					},
-					result: $(this).text()
-				}; 
-			});
-			return results;
+		search: function() {
+			var term = extractLast( this.value );
+			if ( term.length < 2 ) {
+				return false;
+			}
 		},
-		formatItem: function(tag) {
-			return tag.id + ' <em>(' +
-			dotclear.msg.tags_autocomplete.
-				replace('%p',tag.percent).
-				replace('%e',tag.count + ' ' +
-					(tag.count > 1 ?
-					dotclear.msg.entries :
-					dotclear.msg.entry)
-				) +
-			')</em>';
+		focus: function() {
+			// prevent value inserted on focus
+			return false;
 		},
-		formatResult: function(tag) { 
-			return tag.result; 
-		}
+		select: function( event, ui ) {
+			var terms = split( this.value );
+			// remove the current input
+			terms.pop();
+			// add the selected item
+			terms.push( ui.item.value );
+			// add placeholder to get the comma-and-space at the end
+			terms.push( "" );
+			this.value = terms.join( ", " );
+			return false;
+		}		
 	});
 });
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 907)
+++ plugins/tags/tag_posts.php	(revision 711)
@@ -17,5 +17,5 @@
 
 
-$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
+$page = !empty($_GET['page']) ? $_GET['page'] : 1;
 $nb_per_page =  30;
 
@@ -114,5 +114,5 @@
 <?php
 if (!empty($_GET['renamed'])) {
-	dcPage::message(__('Tag has been successfully renamed'));
+	echo '<p class="message">'.__('Tag has been successfully renamed').'</p>';
 }
 
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 907)
+++ plugins/tags/tags.php	(revision 782)
@@ -25,5 +25,5 @@
 <?php
 if (!empty($_GET['del'])) {
-	dcPage::message(__('Tag has been successfully removed'));
+	echo '<p class="message">'.__('Tag has been successfully removed').'</p>';
 }
 
@@ -43,11 +43,11 @@
 			$col = 1;
 		}
-		$cols[$col] .= '<tr class="tagLetter"><td colspan="2"><span>'.$letter.'</span></td></tr>';
+		$cols[$col] .= '<tr class="tagLetter"><th scope="row" colspan="2"><span>'.$letter.'</span></th></tr>';
 	}
 	
 	$cols[$col] .=
 	'<tr class="line">'.
-		'<td class="maximal"><a href="'.$p_url.
-		'&amp;m=tag_posts&amp;tag='.rawurlencode($tags->meta_id).'">'.$tags->meta_id.'</a></td>'.
+		'<th scope="row" class="maximal"><a href="'.$p_url.
+		'&amp;m=tag_posts&amp;tag='.rawurlencode($tags->meta_id).'">'.$tags->meta_id.'</a></th>'.
 		'<td class="nowrap"><strong>'.$tags->count.'</strong> '.
 		(($tags->count==1) ? __('entry') : __('entries')).'</td>'.
@@ -57,5 +57,8 @@
 }
 
-$table = '<div class="col"><table class="tags">%s</table></div>';
+$table =
+'<div class="col"><table class="tags"><caption>'.
+__('Tags list').
+'</caption><tbody>%s</tbody></table></div>';
 
 if ($cols[0])
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 966)
+++ plugins/themeEditor/_admin.php	(revision 270)
@@ -16,47 +16,10 @@
 }
 
-$core->addBehavior('adminCurrentThemeDetails', array('themeEditorBehaviors','theme_editor_details'));
+$core->addBehavior('adminCurrentThemeDetails','theme_editor_details');
 
-$core->addBehavior('adminBeforeUserOptionsUpdate',array('themeEditorBehaviors','adminBeforeUserUpdate'));
-$core->addBehavior('adminPreferencesForm',array('themeEditorBehaviors','adminPreferencesForm'));
-
-class themeEditorBehaviors
+function theme_editor_details($core,$id)
 {
-	public static function theme_editor_details($core,$id)
-	{
-		if ($id != 'default' && $core->auth->isSuperAdmin()) {
-			return '<p><a href="plugin.php?p=themeEditor" class="button">'.__('Theme Editor').'</a></p>';
-		}
-	}
-
-	public static function adminBeforeUserUpdate($cur,$userID)
-	{
-		global $core;
-
-		// Get and store user's prefs for plugin options
-		$core->auth->user_prefs->addWorkspace('interface');
-		try {
-			$core->auth->user_prefs->interface->put('colorsyntax',!empty($_POST['colorsyntax']),'boolean');
-		} 
-		catch (Exception $e)
-		{
-			$core->error->add($e->getMessage());
-		}
-	}
-	
-	public static function adminPreferencesForm($core)
-	{
-		// Add fieldset for plugin options
-		$core->auth->user_prefs->addWorkspace('interface');
-
-		echo
-		'<fieldset><legend>'.__('Theme Editor').'</legend>'.
-		
-		'<p><label for"colorsyntax" class="classic">'.
-		form::checkbox('colorsyntax',1,$core->auth->user_prefs->interface->colorsyntax).' '.
-		__('Syntax color').'</label></p>'.
-
-		'<br class="clear" />'. //Opera sucks
-		'</fieldset>';
+	if ($id != 'default' && $core->auth->isSuperAdmin()) {
+		return '<p><a href="plugin.php?p=themeEditor" class="button">'.__('Theme Editor').'</a></p>';
 	}
 }
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 965)
+++ plugins/themeEditor/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Theme Editor",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.0'
+	/* Version */			'0.9'
 );
 ?>
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 948)
+++ plugins/themeEditor/index.php	(revision 500)
@@ -15,8 +15,4 @@
 
 $file_default = $file = array('c'=>null, 'w'=>false, 'type'=>null, 'f'=>null, 'default_file'=>false);
-
-# Get interface setting
-$core->auth->user_prefs->addWorkspace('interface');
-$user_ui_colorsyntax = $core->auth->user_prefs->interface->colorsyntax;
 
 # Loading themes
@@ -66,18 +62,7 @@
   <?php echo dcPage::jsVar('dotclear.msg.document_saved',__("Document saved")); ?>
   <?php echo dcPage::jsVar('dotclear.msg.error_occurred',__("An error occurred:")); ?>
-  <?php echo dcPage::jsVar('dotclear.colorsyntax',$user_ui_colorsyntax); ?>
   //]]>
   </script>
   <script type="text/javascript" src="index.php?pf=themeEditor/script.js"></script>
-<?php if ($user_ui_colorsyntax) { ?>
-  <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/codemirror/codemirror.css" />
-  <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/codemirror.css" />
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/codemirror.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/xml.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/javascript.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/css.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/php.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/htmlmixed.js"></script>
-<?php } ?>
 </head>
 
@@ -123,18 +108,4 @@
 	echo
 	'</fieldset></form>';
-
-	if ($user_ui_colorsyntax) {
-		$editorMode = (!empty($_REQUEST['css']) ? "css" : (!empty($_REQUEST['js']) ? "javascript" : "text/html"));
-		echo 
-		'<script>
-	    	var editor = CodeMirror.fromTextArea(document.getElementById("file_content"), {
-	    		mode: "'.$editorMode.'",
-	       		tabMode: "indent",
-	       		lineWrapping: "true",
-	       		lineNumbers: "true",
-	   			matchBrackets: "true"
-	   		});
-	    </script>';
-	}
 }
 ?>
Index: plugins/themeEditor/script.js
===================================================================
--- plugins/themeEditor/script.js	(revision 948)
+++ plugins/themeEditor/script.js	(revision 0)
@@ -5,5 +5,5 @@
 		
 		var data = {
-			file_content: (!dotclear.colorsyntax ? $(f).find('#file_content').get(0).value : editor.getValue()),
+			file_content: $(f).find('#file_content').get(0).value,
 			xd_check: $(f).find('input[name="xd_check"]').get(0).value,
 			write: 1
Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 967)
+++ plugins/userPref/_define.php	(revision 589)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage every user preference directive",
 	/* Author */			"Franck Paul",
-	/* Version */			'0.3'
+	/* Version */			'0.2'
 );
 ?>
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 907)
+++ plugins/userPref/index.php	(revision 782)
@@ -117,9 +117,9 @@
 <?php
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Preferences successfully updated'));
+	echo '<p class="message">'.__('Preferences successfully updated').'</p>';
 }
 
 if (!empty($_GET['upda'])) {
-	dcPage::message(__('Preferences definition successfully updated'));
+	echo '<p class="message">'.__('Preferences definition successfully updated').'</p>';
 }
 ?>
@@ -128,5 +128,5 @@
 <div id="local" class="multi-part" title="<?php echo __('user preferences'); ?>">
 
-<?php 
+<?php
 $table_header = '<table class="prefs" id="%s"><caption>%s</caption>'.
 '<thead>'.
@@ -142,4 +142,5 @@
 
 $prefs = array();
+
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
 	foreach ($workspace->dumpPrefs() as $k => $v) {
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 954)
+++ plugins/widgets/_default_widgets.php	(revision 665)
@@ -18,59 +18,40 @@
 $__widgets = new dcWidgets;
 
-$__widgets->create('search',__('Search engine'),array('defaultWidgets','search'),null,'Search engine form');
+$__widgets->create('search',__('Search engine'),array('defaultWidgets','search'));
 $__widgets->search->setting('title',__('Title:'),__('Search'));
-$__widgets->search->setting('homeonly',__('Display on:'),0,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->search->setting('class',__('CSS class:'),'');
 
-$__widgets->create('navigation',__('Navigation links'),array('defaultWidgets','navigation'),null,'List of navigation links');
+$__widgets->create('navigation',__('Navigation links'),array('defaultWidgets','navigation'));
 $__widgets->navigation->setting('title',__('Title:'),'');
-$__widgets->navigation->setting('homeonly',__('Display on:'),0,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->navigation->setting('class',__('CSS class:'),'');
 
-$__widgets->create('bestof',__('Selected entries'),array('defaultWidgets','bestof'),null,'List of selected entries');
+$__widgets->create('bestof',__('Selected entries'),array('defaultWidgets','bestof'));
 $__widgets->bestof->setting('title',__('Title:'),__('Best of me'));
 $__widgets->bestof->setting('orderby',__('Sort:'),'asc','combo',array(__('Ascending') => 'asc', __('Descending') => 'desc'));
-$__widgets->bestof->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->bestof->setting('class',__('CSS class:'),'');
+$__widgets->bestof->setting('homeonly',__('Home page only'),1,'check');
 
-$__widgets->create('langs',__('Blog languages'),array('defaultWidgets','langs'),null,'List of available languages');
+$__widgets->create('langs',__('Blog languages'),array('defaultWidgets','langs'));
 $__widgets->langs->setting('title',__('Title:'),__('Languages'));
-$__widgets->langs->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->langs->setting('class',__('CSS class:'),'');
+$__widgets->langs->setting('homeonly',__('Home page only'),1,'check');
 
-$__widgets->create('categories',__('Categories list'),array('defaultWidgets','categories'),null,'List of categories');
+$__widgets->create('categories',__('Categories list'),array('defaultWidgets','categories'));
 $__widgets->categories->setting('title',__('Title:'),__('Categories'));
 $__widgets->categories->setting('postcount',__('With entries counts'),0,'check');
-$__widgets->categories->setting('homeonly',__('Display on:'),0,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->categories->setting('class',__('CSS class:'),'');
 
-$__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'RSS or Atom feed subscription links');
+$__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'));
 $__widgets->subscribe->setting('title',__('Title:'),__('Subscribe'));
 $__widgets->subscribe->setting('type',__('Feeds type:'),'atom','combo',array('Atom' => 'atom', 'RSS' => 'rss2'));
-$__widgets->subscribe->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->subscribe->setting('class',__('CSS class:'),'');
+$__widgets->subscribe->setting('homeonly',__('Home page only'),0,'check');
 
-$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'Last entries from feed');
+$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'));
 $__widgets->feed->setting('title',__('Title:'),__('Somewhere else'));
 $__widgets->feed->setting('url',__('Feed URL:'),'');
 $__widgets->feed->setting('limit',__('Entries limit:'),10);
-$__widgets->feed->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->feed->setting('class',__('CSS class:'),'');
+$__widgets->feed->setting('homeonly',__('Home page only'),1,'check');
 
-$__widgets->create('text',__('Text'),array('defaultWidgets','text'),null,'Simple text');
+$__widgets->create('text',__('Text'),array('defaultWidgets','text'));
 $__widgets->text->setting('title',__('Title:'),'');
 $__widgets->text->setting('text',__('Text:'),'','textarea');
-$__widgets->text->setting('homeonly',__('Display on:'),0,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->text->setting('class',__('CSS class:'),'');
+$__widgets->text->setting('homeonly',__('Home page only'),0,'check');
 
-$__widgets->create('lastposts',__('Last entries'),array('defaultWidgets','lastposts'),null,'List of last entries published');
+$__widgets->create('lastposts',__('Last entries'),array('defaultWidgets','lastposts'));
 $__widgets->lastposts->setting('title',__('Title:'),__('Last entries'));
 $rs = $core->blog->getCategories(array('post_type'=>'post'));
@@ -85,14 +66,11 @@
 }
 $__widgets->lastposts->setting('limit',__('Entries limit:'),10);
-$__widgets->lastposts->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastposts->setting('class',__('CSS class:'),'');
+$__widgets->lastposts->setting('homeonly',__('Home page only'),1,'check');
 
-$__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments posted');
+
+$__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'));
 $__widgets->lastcomments->setting('title',__('Title:'),__('Last comments'));
 $__widgets->lastcomments->setting('limit',__('Comments limit:'),10);
-$__widgets->lastcomments->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastcomments->setting('class',__('CSS class:'),'');
+$__widgets->lastcomments->setting('homeonly',__('Home page only'),1,'check');
 
 # --BEHAVIOR-- initWidgets
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 965)
+++ plugins/widgets/_define.php	(revision 665)
@@ -16,5 +16,5 @@
 	/* Description*/		"Widgets for your blog sidebars",
 	/* Author */			"Olivier Meunier & Dotclear Team",
-	/* Version */			'3.1',
+	/* Version */			'3',
 	array(
 		'permissions' =>	'admin',
Index: plugins/widgets/_public.php
===================================================================
--- plugins/widgets/_public.php	(revision 936)
+++ plugins/widgets/_public.php	(revision 671)
@@ -22,20 +22,13 @@
 	public static function tplWidgets($attr)
 	{
-		$type = isset($attr['type']) ? $attr['type'] : '';
-
+		$type = isset($attr['type']) ? $attr['type'] : 'nav';
+		
 		# widgets to disable
 		$disable = isset($attr['disable']) ? trim($attr['disable']) : '';
 		
-		if ($type == '') {
-			$res = "publicWidgets::widgetsHandler('nav','".addslashes($disable)."');"."\n".
-				"   publicWidgets::widgetsHandler('extra','".addslashes($disable)."');"."\n".
-				"   publicWidgets::widgetsHandler('custom','".addslashes($disable)."');"."\n";
-		} else {
-			if (!in_array($type, array('nav','extra','custom'))) {
-				$type = 'nav';
-			}
-			$res = "publicWidgets::widgetsHandler('".addslashes($type)."','".addslashes($disable)."');";
-		}
-		return '<?php '.$res.' ?>';
+		return
+		'<?php '.
+		"publicWidgets::widgetsHandler('".addslashes($type)."','".addslashes($disable)."'); ".
+		' ?>';
 	}
 	
